[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20051214 changes



After disabling a plugin in /etc/yum/pluginconf.d/installonlyn.conf it
worked normal again.

- Erwin


On Wed, 2005-12-14 at 12:32 +0100, Erwin Rol wrote:
> Yum seems to be broken, when i do a update it "crashes" like;
> 
> # yum update system-config-securitylevel-tui.x86_64 system-config-securitylevel.x86_64 system-config-language.noarch system-config-kickstart.noarch system-config-date.noarch subversion-perl.x86_64 subversion.x86_64
> Loading "installonlyn" plugin
> Setting up Update Process
> Setting up repositories
> development               100% |=========================| 1.1 kB    00:00
> freshrpms                 100% |=========================|  951 B    00:00
> extras-development        100% |=========================| 1.1 kB    00:00
> Reading repository metadata in from local files
> Resolving Dependencies
> --> Populating transaction set with selected packages. Please wait.
> ---> Package system-config-securitylevel-tui.x86_64 0:1.6.12-1 set to be updated
> ---> Package system-config-kickstart.noarch 0:2.6.2-1 set to be updated
> ---> Package system-config-date.noarch 0:1.7.99.9-1 set to be updated
> ---> Package system-config-language.noarch 0:1.1.10-1.1 set to be updated
> ---> Package system-config-securitylevel.x86_64 0:1.6.12-1 set to be updated
> ---> Package subversion.x86_64 0:1.2.3-6 set to be updated
> ---> Package subversion-perl.x86_64 0:1.2.3-6 set to be updated
> --> Running transaction check
> --> Processing Dependency: subversion = 1.2.3-5 for package: mod_dav_svn
> Traceback (most recent call last):
>   File "/usr/bin/yum", line 29, in ?
>     yummain.main(sys.argv[1:])
>   File "/usr/share/yum-cli/yummain.py", line 138, in main
>     (result, resultmsgs) = base.buildTransaction()
>   File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 370, in buildTransaction
>     (rescode, restring) = self.resolveDeps()
>   File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 254, in resolveDeps
>     (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
>   File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 385, in _processReq
>     requirementTuple, errormsgs)
>   File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 518, in _requiringFromInstalled
>     needpo = self.getInstalledPackageObject(needpkgtup)
>   File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1358, in getInstalledPackageObject
>     hdrs = self.rpmdb.returnHeaderByTuple(pkgtup)
>   File "/usr/lib/python2.4/site-packages/rpmUtils/__init__.py", line 220, in returnHeaderByTuple
>     idxs = self.returnIndexByTuple(pkgtuple)
>   File "/usr/lib/python2.4/site-packages/rpmUtils/__init__.py", line 228, in returnIndexByTuple
>     return self.indexdict[pkgtuple]
> KeyError: ('subversion', 'x86_64', '0', '1.2.3', '6')
> 
> 
> It only seems to work if all dependencies are present on the
> commandline, in the example above it works when i add mod_dav_svn to the
> commandline.
> 
> yum --version
> Loading "installonlyn" plugin
> 2.5.0
> 
> 
> - Erwin
> 
> > yum-2.5.0-1
> > -----------
> > * Tue Dec 13 2005 Jeremy Katz <katzj redhat com> - 2.5.0-1
> > - update to 2.5.0
> > - add patch for traceback in #175647
> 
> 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]